#main {
    width:auto;
    margin: 0;
 }
#mainContent { 
    width:auto;
    float: none;
    margin-right: 230px;
    display: block;
 }
#sideBar {
    position: absolute;
    top: 0;
    right: 0;
    width: 200px;
}
.cnblogs_code{
    margin: 3px 0;
    padding: 10px;
    
}
.cnblogs_code_toolbar {
   display: none;
}
#cnblogs_post_body p {
   margin: 0 auto;
}
.cnblogs_code pre{
   white-space:pre;
   line-height: 15px;
}
#cnblogs_post_body ul {
   margin:5px 0 5px 30px;
   font-size:12px;
}
#cnblogs_post_body img {
   max-width: 850px;
}